Help us understand the problem. What is going on with this article?

fisherman で oh-my-fish テーマインストール時のエラー

More than 3 years have passed since last update.

fisherman で oh-my-fish のテーマである zish をインストールしようとしてこんなエラーが出た。

> fisher omf/zish
You need fish 2.3.0 or higher to take advantage of snippets.
Without it some plugins might not work.

Refer to your package manager documentation
for instructions on how to upgrade your fish build.

If you can not upgrade, append the following code
to your ~/.config/fish/config.fish:

for file in ~/.config/fish/conf.d/*.fish
    source 
end

Installing 1 plugin/s
! Fetch zish github.com/oh-my-fish/plugin-zish
! There was an error installing zish or more plugin/s.
Try using a namespace before the plugin name: owner/zish

上半分はとりあえずバージョンに起因する文言なのでここでは置いとくとして、下の Installing ... 以降を読む限りどうも omf/zish だけではだめな模様。
なんでやって思ってググったら下記のような issue が上がっていたのでそれで解決。

https://github.com/fisherman/fisherman/issues/278

よって

> fisher omf/theme-zish

としてあげてインストール完了。

Why not register and get more from Qiita?
  1. We will deliver articles that match you
    By following users and tags, you can catch up information on technical fields that you are interested in as a whole
  2. you can read useful information later efficiently
    By "stocking" the articles you like, you can search right away